libopenmpt 缓冲区错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1683793 漏洞类型 缓冲区错误
发布时间 2019-07-30 更新时间 2020-07-21
CVE编号 CVE-2019-14380 CNNVD-ID CNNVD-201907-1560
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201907-1560
|漏洞详情
libopenmpt是一款跨平台的基于C和C++的音频库,它能够将音频文件解码为原始PCM音频流。 libopenmpt 0.4.5之前版本中存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。
|参考资料

来源:lib.openmpt.org

链接:https://lib.openmpt.org/libopenmpt/2019/05/27/security-update-0.4.5/


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-14380